---
apiVersion: extensions/v1beta1
kind: Ingress
metadata:
  name: k8s-dash-proxy
  annotations:
    kubernetes.io/ingress.class: nginx
spec:
  rules:
  - host: k8s.example.com
    http:
      paths:
      - backend:
          serviceName: dcon-oauth2-proxy
          servicePort: 80
        path: /oauth2
  tls:
  - hosts:
      - k8s.example.com
    secretName: k8s-example-com
